Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452556 - pidgin-rhythmbox is non-functional and does nothing
Summary: pidgin-rhythmbox is non-functional and does nothing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pidgin-rhythmbox
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 18:01 UTC by Brian Brock
Modified: 2008-10-10 14:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-10 14:53:42 UTC


Attachments (Terms of Use)

Description Brian Brock 2008-06-23 18:01:46 UTC
pidgin-rhythmbox does not change the user info line when enabled

pidgin-rhythmbox-2.0-3.fc9.i386

100% reproducible, no workaround or working cases yet discovered

Steps to Reproduce:
install rhythmbox, pidgin, and pidgin-rhythmbox
start rhythmbox and pidgin
check the box next to Pigdin-Rhythmbox in the "plugins" section of pidgin
check both boxes for "enable %rb" in the configuration for the plugin
change the status message in pidgin to %rb
play several songs, to ensure that the plugin has a chance to see rhythmbox update

the status message in pidgin will not change with songs, and instead display
simply the raw text "%rb".

Expected that the %rb tag in the status description would be expanded to the
text indicated in the plugin configuration.

Comment 1 Michel Alexandre Salim 2008-07-06 05:23:53 UTC
Which IM protocol did you try? Did the person at the other end see "%rb"
(meaning pidgin-rhythmbox is totally inactive), see a blank status, or actually
see the actual status? Sometimes pidgin-rhythmbox is delayed in updating the
status, but the change is reflected in the remote end straight away.

On my x86_64 box, the status box and the tray icon shows %rb but on the remote
side the correct information is displayed. Will contact upstream once this is
clarified, thanks.

Comment 2 Brian Brock 2008-07-08 16:57:30 UTC
xmpp (to gmail).  Viewed by someone else (also using gmail), they only saw "%rb".

After restarting with the status message %rd unchanged, they only saw a blank
status line.  Verified that plugin was still active and the first two checkboxes
checked.  Reset the status text to %rb again, and the status remained blank to
remote user.


Comment 3 Brian Brock 2008-07-08 16:59:44 UTC
also, forwarding to the next song in rhythmbox did not change the status message.

Comment 4 Brian Brock 2008-07-28 18:30:37 UTC
are there any other details required to debug this further, or any way that I
can help out?  This is a feature which seems to be in use by others running a
different distro.

Comment 5 Michel Alexandre Salim 2008-08-03 05:16:32 UTC
I can reproduce the problem on an i386 virtual machine, running Fedora 9. It's most probably an architectural issue, as on x86_64, using both Fedora 9 and Rawhide (both have the same version of pidgin), pidgin-rhythmbox works just fine.

Will try building a debug version of pidgin-rhythmbox and see if I can track down the problem further.

Comment 6 Michel Alexandre Salim 2008-08-03 06:29:37 UTC
OK: on a clean Fedora 9 / i386 installation, with the following components:

rhythmbox-0.11.6-2.fc9
pidgin-2.4.3-1.fc9
pidgin-rhythmbox-2.0-3.fc9

The song reporting appears to work just fine out of the box. Both Adium and Pidgin sees the status as %rb until the next song change; to precipitate the update, just pause the current song (which will hide the %rb) and then unpause it (which causes %rb to expand).

Not sure what could be going wrong in your case. Try moving ~/.purple/prefs.xml out of the way, restart Pidgin and reenable pidgin-rhythmbox? There might be some stale settings there somewhere. That file does not contain your account information, only preferences for Pidgin (and its plugins).

Comment 7 Michel Alexandre Salim 2008-08-03 06:35:00 UTC
Turns out that variables in the quick status entry box are never expanded; use "New status" to create the status if you want the message to contain %rb

Comment 8 Brian Brock 2008-10-09 18:54:23 UTC
that's what I'm doing.

Comment 9 Brian Brock 2008-10-09 19:01:30 UTC
There must be something else responsible, maybe I'm just missing something from the old config.  


I've deleted .gconf/apps/rhythmbox, .gnome2/rhythmbox, and .purple/ and confirmed those deletions after a reboot before logging in as the user.  Re-enabled pidgin-rhythmbox plugin, and reloaded the rhythmbox song db.  Selected "new status" and entered '%rb' (no quotes).  Forwarded through several songs, and allowed several to play through completion.

Status was confirmed as blank by someone on another system.

I'll re-try with a brand new account later today when I get a chance.  Notably, I did not have this problem with a new account on an x86_64 F9 system.

Comment 10 Brian Brock 2008-10-10 14:53:42 UTC
works on i386 and x86_64 with live F9 packages.  Not sure what was causing the errors yesterday, I checked it out with the same user I have used with pidgin for a while.

I could also verify this by friend'ing another account of mine, within the same client, and then looking at the status line displayed with the account name in the Buddy List window.

Closing as current_release.


Note You need to log in before you can comment on or make changes to this bug.